/*
listBooks on osa resolveria, joka on apolloserver.js-tiedostossa

Kysely voi olla esim. tämän muotoinen, jolloin haetaan kaikista id ja bookname:

query ListBooks {
    listBooks {
        id
        bookname
    }
}
*/

const { ScanCommand } = require('@aws-sdk/lib-dynamodb');
const { doccli } = require('./ddbconn');

const listBooks = async () => {
  const params = {
    TableName: process.env.DDB_TABLE,
  };

  try {
    const data = await doccli.send(new ScanCommand(params));
    console.log(data.Items);
    return data.Items;
  } catch (err) {
    console.error(err);
  }
};

module.exports = listBooks;
