// putBook on resolverin osa, ja se argumentit ovat apollon vaatimia argumentteja
const { PutCommand } = require('@aws-sdk/lib-dynamodb');
const { doccli } = require('./ddbconn');
const { v4: uuidv4 } = require('uuid'); // id:n generointiin

// Apollo vaatii resolverin argumentit muodossa _, ja { input }
// input tulee GraphQL-kyselystä (mutaatio)
const putBook = async (_, { input }) => {
  // uuidv4() luo uniikin id:n muotoa '1b9d6bcd-bbfd-4b2d-9b5d-ab8dfbbd4bed'
  const createdid = uuidv4();

  const params = {
    TableName: process.env.DDB_TABLE,
    Item: {
      id: createdid,
      bookname: input.bookname,
    },
  };

  try {
    const data = await doccli.send(new PutCommand(params));
    console.log('Success, book created', data);
    return params.Item; // Mutaation vastaus palauttaa lisätyn itemin
  } catch (err) {
    console.log('error' + err);
  }
};

module.exports = putBook;
